package com.huatek.busi.service;

import java.util.List;

import com.huatek.busi.entity.FaultCategory;
import com.huatek.busi.entity.FaultCoefficient;
import com.huatek.busi.vo.FaultCauseVo;
import com.huatek.busi.vo.FaultShowsVo;
import com.huatek.busi.vo.FaultSubtypesVo;
/**
 * 故障相关 Service
 *
 * @author anker_cheng
 * @date Jun 18, 2019 6:03:40 PM
 */
import com.huatek.busi.vo.FaultTypesVo;

public interface BusiFaultService {

    /**
     * 故障主分类列表
     * 
     * @return
     */
    List<FaultTypesVo> faultTypesList();

    List<FaultSubtypesVo> faultSubtypesList(String masterId);

    List<FaultShowsVo> faultShowsList(String subId);

    List<FaultCauseVo> faultCauseList(String masterId, String subId, String modeId);

    /**
     * 查询缺陷类别
     * @return
     */
    List<FaultCategory> findFaultCategory();

    /**
     * 查询缺陷系数
     * @return
     */
    List<FaultCoefficient> findFaultCoefficient();
}
